# Function controlDisabledWhile

- controlDisabledWhile<T>(
  control: AbstractControl<T>,
  observable: Observable<boolean>,
  opts?: ControlOptions,
  ): Subscription

  #### Type Parameters

  - T

  #### Parameters

  - control: AbstractControl<T>
  - observable: Observable<boolean>
  - `Optional` opts: ControlOptions

  #### Returns Subscription

  - Defined in packages/angular/forms/src/lib/control-actions.ts:106